import java.io.IOException;

/** Apache HttpClient is required **/
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.UsernamePasswordCredentials;
import org.apache.commons.httpclient.HttpException;
import org.apache.commons.httpclient.auth.AuthScope;
import org.apache.commons.httpclient.methods.PostMethod;

public class APIDemo
{
   public static void main(String[] args)
   {
      // Specify the url of the service to run
      // Note: you may need to modify the hard-coded URL for this demo to work
      String fmeUrl = "http://localhost:8080/fmejobsubmitter/Samples/austinApartments.fmw";

      HttpClient client = new HttpClient();
      // Specify the domain, the port, the login username and password
      client.getParams().setAuthenticationPreemptive(true);
      client.getState().setCredentials(
            new AuthScope("localhost", 8080, "FME Server Authentication"),
            new UsernamePasswordCredentials("user", "user"));

      PostMethod method = new PostMethod(fmeUrl);

      // Specify the response format to XML
      method.addParameter("opt_responseformat", "xml");
      // Specify the job priority is 50
      method.addParameter("tm_priority", "50");
      try
      {
         int ret = client.executeMethod(method);
         if(ret == 200) // HTTP 200 OK
         {
            System.out.println(method.getResponseBodyAsString());
         }
         else
         {
            System.out.println("Error: " + method.getResponseBodyAsString());
         }
      }
      catch(HttpException e)
      {
         System.out.println(e.getStackTrace());
      }
      catch(IOException e)
      {
         System.out.println(e.getStackTrace());
      }
   }
}